POST/auth

Criar Chave da API

Valide clientId e clientSecret e retorne uma Chave de API

Request Body

required
object

Authentication parameters required to get access to Pluggy's API

clientIdrequiredstring (uuid)

ID do cliente

clientSecretrequiredstring

Segredo do cliente

Example

json
{
  "clientId": "f8c9b8f0-b8e2-4f0f-b8e2-4f0f8e2f0f8e2",
  "clientSecret": "UZzp2n7eMThpfZ74Xf7"
}

Responses

200Chave da API gerada
object

Authentication confirmed response to interact with the api

apiKeyrequiredstring

Chave de autenticação para a API

Example response

json
{
  "apiKey": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"
}
curl -X POST \
'https://api.pluggy.ai/auth' \
-H 'Content-Type: application/json' \
-d '{}'
Resposta de exemplo
{
"apiKey": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c"
}